api_platform:
    title: CDS Connector API
    version: 1.0.0
    mapping:
        paths: ['%kernel.project_dir%/src/Entity']
    patch_formats:
        json: ['application/merge-patch+json']
    swagger:
        versions: [3]
    formats:
      json: [ 'application/json' ]
      jsonld: [ 'application/ld+json' ]
      html: [ 'text/html' ]
      multipart: [ 'multipart/form-data' ]
    allow_plain_identifiers: true
    oauth:
      # To enable or disable OAuth.
      enabled: false

      # The OAuth client ID.
      clientId: 'cycro'

      # The OAuth client secret.
      clientSecret: 'cycro123'

      # The OAuth type.
      type: 'oauth2'

      # The OAuth flow grant type.
      flow: 'application'

      # The OAuth token URL.
      tokenUrl: '/oauth/v2/token'

      # The OAuth authentication URL.
      authorizationUrl: '/oauth/v2/auth'

      # The OAuth scopes.
      scopes: []
